Page MenuHomePhabricator

CX1: restored in-progress article does not finish loading
Closed, ResolvedPublic

Description

Per https://it.wikipedia.org/wiki/Wikipedia:Officina#Problemi_con_lo_strumento_di_traduzione:

User:Arturo1211 (Firefox, Windows 10) reports:
Partito Socialista dei Lavoratori (translating from de.) - looks like it never finishes loading;
Partito Tedesco di Hannover - it's already published but it's marked as in progress:

Per https://www.mediawiki.org/wiki/Topic:Tzhxa6tgqdmjcb2t:

Deror avi says they can't delete Maude Bonny, or Lake O'hara, or Lake Oesa (all finished translations).

Event Timeline

Elitre created this task.Oct 9 2017, 7:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2017, 7:55 AM

I don't seem to be able to delete "2016 NBA Finals" (en --> it, made as a test), FWIW.

Mh... after writing this it actually went away the next time I opened the tab. I made a bunch of other tests which I was also able to delete. I noticed that "drafts" are in UTC time (it said creation was "two hours ago" after I just created them, but I dunno that this has anything to do with the issue at hand here).

Arrbee assigned this task to Amire80.Oct 27 2017, 6:01 AM
Arrbee moved this task from Needs Triage to Check & Move on the ContentTranslation board.

Partito Socialista dei Lavoratori (translating from de.) - looks like it never finishes loading;

Are there any errors in the JS Console? (F12)

Partito Tedesco di Hannover - it's already published but it's marked as in progress:

This may happen if somebody made an edit after publishing. If the published article is good, it can be deleted.

Per user:

JQMIGRATE: Migrate is installed with logging active, version 3.0.1 load.php:139:615

JQMIGRATE: jQuery.fn.hover() is deprecated load.php:140:200

Arrbee moved this task from Check & Move to Bugs on the ContentTranslation board.Jun 5 2018, 12:04 PM

@Amire80 After publishing, should not be marked as published?

As I said above, it may happen when somebody makes an edit after publishing, it gets marked as "in progress".

Arrbee added a subscriber: Arrbee.Jun 25 2018, 11:55 AM

Partito Socialista dei Lavoratori (translating from de.) - looks like it never finishes loading;

This may possibly be related to T193161 .

Arrbee renamed this task from Issues with CX drafts to CX1: restored in-progress article does not finish loading.Jun 25 2018, 11:55 AM
Arrbee removed Amire80 as the assignee of this task.
Arrbee added a subscriber: Amire80.

@Amire80 That is strange, because when it happened with me, I was the only one who edited the page after creating. Does it mean "somebody" could mean myself too?

It can only be yourself. By "making an edit", I mean "editing in the CX interface". It's not supposed to happen if you edit the published article as a wiki page.

Hmm, but it happened. I published the article and I made some changes. After that, I wanted to start a new translation, but it was not published (it appeared as a current translation). After I deleted, it disappeared (went to my finished translation).

Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Aug 5 2019, 1:28 PM
Amire80 closed this task as Resolved.Aug 5 2019, 2:23 PM
Amire80 claimed this task.

Closing as outdated. As far as I can, the articles in question were published, and they are CX1 articles, so whatever was the problem, it was probably fixed with CX2.